# class KMessageBoxWrapper | More...
Internal Use Only
Definition | `#include <kmessageboxwrapper.h>`
Inherits | KMessageBox (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static void error (QWidget *parent, const QString &text, const QString &caption = QString::null)
- static void sorry (QWidget *parent, const QString &text, const QString &caption = QString::null)

## Detailed Description

Allows KIO classes to display dialog boxes with the correct theme/style even in non-GUI apps like kded and kfmclient

void error (QWidget *parent, const QString &text, const QString &caption = QString::null) | ### error

[static]

Reimplemented from KMessageBox.

void sorry (QWidget *parent, const QString &text, const QString &caption = QString::null) | ### sorry

[static]

Reimplemented from KMessageBox.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.